<?php
require '../db.php';
$ekleuyeidn = $uye_bilgi_getir["id"];
if ( isset($_POST['kahvefali']) ){
  $f_kredi = $_POST["fal_kredi"];
  if($uye_bilgi_getir["uye_kredi"] < $f_kredi){
    echo '<script>window.location.href = "../panel.php?kf=kd";</script>';
  }else {
    if ($_FILES["resim1"]) { //resim 1//
      $yol = "falresimleri";
      $uuyeid = $uye_bilgi_getir["id"]."_r1";
      $dosyaadii = uniqid($uuyeid);
      $dosyaadi = $dosyaadii.".";
      $yuklemeYeri = __DIR__ . DIRECTORY_SEPARATOR . $yol . DIRECTORY_SEPARATOR . $dosyaadi. pathinfo($_FILES["resim1"]["name"], PATHINFO_EXTENSION);
      $dosyaUzantisi = pathinfo($_FILES["resim1"]["name"], PATHINFO_EXTENSION);
      if ($dosyaUzantisi != "jpg" && $dosyaUzantisi != "png") {
}else{
if ($_FILES["resim1"]["size"]  > 10000000) {
echo "Dosya boyutu sınırı";
}else{
$sonuc = move_uploaded_file($_FILES["resim1"]["tmp_name"], $yuklemeYeri);
$resimadi1 = $dosyaadi.$dosyaUzantisi;
}}} // resim 1 bitiş //

if ($_FILES["resim2"]) { //resim 2//
  $yol = "falresimleri";
  $uuyeid = $uye_bilgi_getir["id"]."_r2";
  $dosyaadii = uniqid($uuyeid);
  $dosyaadi = $dosyaadii.".";
  $yuklemeYeri = __DIR__ . DIRECTORY_SEPARATOR . $yol . DIRECTORY_SEPARATOR . $dosyaadi. pathinfo($_FILES["resim2"]["name"], PATHINFO_EXTENSION);
  $dosyaUzantisi = pathinfo($_FILES["resim2"]["name"], PATHINFO_EXTENSION);
  if ($dosyaUzantisi != "jpg" && $dosyaUzantisi != "png") {
}else{
if ($_FILES["resim2"]["size"]  > 10000000) {
echo "Dosya boyutu sınırı";
}else{
$sonuc = move_uploaded_file($_FILES["resim2"]["tmp_name"], $yuklemeYeri);
$resimadi2 = $dosyaadi.$dosyaUzantisi;
}}}

if ($_FILES["resim3"]) { //resim 3//
  $yol = "falresimleri";
  $uuyeid = $uye_bilgi_getir["id"]."_r3";
  $dosyaadii = uniqid($uuyeid);
  $dosyaadi = $dosyaadii.".";
  $yuklemeYeri = __DIR__ . DIRECTORY_SEPARATOR . $yol . DIRECTORY_SEPARATOR . $dosyaadi. pathinfo($_FILES["resim3"]["name"], PATHINFO_EXTENSION);
  $dosyaUzantisi = pathinfo($_FILES["resim3"]["name"], PATHINFO_EXTENSION);
  if ($dosyaUzantisi != "jpg" && $dosyaUzantisi != "png") {
}else{
if ($_FILES["resim3"]["size"]  > 10000000) {
echo "Dosya boyutu sınırı";
}else{
$sonuc = move_uploaded_file($_FILES["resim3"]["tmp_name"], $yuklemeYeri);
$resimadi3 = $dosyaadi.$dosyaUzantisi;
}}}
if ($_FILES["resim4"]) { //resim 4//
  $yol = "falresimleri";
  $uuyeid = $uye_bilgi_getir["id"]."_r4";
  $dosyaadii = uniqid($uuyeid);
  $dosyaadi = $dosyaadii.".";
  $yuklemeYeri = __DIR__ . DIRECTORY_SEPARATOR . $yol . DIRECTORY_SEPARATOR . $dosyaadi. pathinfo($_FILES["resim4"]["name"], PATHINFO_EXTENSION);
  $dosyaUzantisi = pathinfo($_FILES["resim4"]["name"], PATHINFO_EXTENSION);
  if ($dosyaUzantisi != "jpg" && $dosyaUzantisi != "png") {
}else{
if ($_FILES["resim4"]["size"]  > 10000000) {
echo "Dosya boyutu sınırı";
}else{
$sonuc = move_uploaded_file($_FILES["resim4"]["tmp_name"], $yuklemeYeri);
$resimadi4 = $dosyaadi.$dosyaUzantisi;
}}}

if ($_FILES["resim5"]) { //resim 5//
  $yol = "falresimleri";
  $uuyeid = $uye_bilgi_getir["id"]."_r5";
  $dosyaadii = uniqid($uuyeid);
  $dosyaadi = $dosyaadii.".";
  $yuklemeYeri = __DIR__ . DIRECTORY_SEPARATOR . $yol . DIRECTORY_SEPARATOR . $dosyaadi. pathinfo($_FILES["resim5"]["name"], PATHINFO_EXTENSION);
  $dosyaUzantisi = pathinfo($_FILES["resim5"]["name"], PATHINFO_EXTENSION);
  if ($dosyaUzantisi != "jpg" && $dosyaUzantisi != "png") {
}else{
if ($_FILES["resim5"]["size"]  > 10000000) {
echo "Dosya boyutu sınırı";
}else{
$sonuc = move_uploaded_file($_FILES["resim5"]["tmp_name"], $yuklemeYeri);
$resimadi5 = $dosyaadi.$dosyaUzantisi;
}}}

          $fal_adi = $_POST["fal_adi"];
          $fal_soru = $_POST["fal_soru"];
          $fal_meslek = $_POST["fal_meslek"];
          $fal_cinsiyet = $_POST["fal_cinsiyet"];
          $fal_iliski = $_POST["fal_iliski"];
          $fal_dtarih = $_POST["fal_dtarih"];
          $fal_ysekli = $_POST["fal_ysekli"];
          $fal_havuz = $_POST["fal_havuz"];
          $fal_yid = $_POST["fal_yid"];
          $fal_kredi = $_POST["fal_kredi"];
          $fal_tarih = date('d.m.Y');

          $ekle = mysqli_query($db, "INSERT INTO kahvefali (uyeid,yorumcu_id,fal_soru,fal_ad,fal_meslek,fal_cinsiyet,fal_iliski,fal_dtarih,fal_ysekli,fal_resim1,fal_resim2,fal_resim3,fal_resim4,fal_resim5,fal_havuz,fal_kredi,fal_tarih)
          VALUES('$ekleuyeidn','$fal_yid','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_dtarih','$fal_ysekli','$resimadi1','$resimadi2','$resimadi3','$resimadi4','$resimadi5','$fal_havuz','$fal_kredi','$fal_tarih')");
          if ($ekle) {
          $kd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
          if ($kd) {
            echo '<script>window.location.href = "../panel.php?kf=ok";</script>';
          }
          }
          }

}// kahvefali postu bitti//


	else if ( isset($_POST['yildizname']) ){ // yildizname fal işlemleri //
    $partneradi = $_POST["partneradi"];
    $partnerburcu = $_POST["partnerburcu"];
    $partneranneadi = $_POST["partneranneadi"];
    $partnerhakkinda = $_POST["partnerhakkinda"];
    $fal_soru = $_POST["fal_soru"];
    $fal_adi = $_POST["fal_ad"];
    $fal_meslek = $_POST["fal_meslek"];
    $fal_cinsiyet = $_POST["fal_cinsiyet"];
    $fal_iliski = $_POST["fal_iliski"];
    $fal_ysekli = $_POST["fal_ysekli"];
    $fal_havuz = $_POST["fal_havuz"];
    $dtarih = $_POST["dtarih"];
    $dyeri = $_POST["dyeri"];
    $dsaati = $_POST["dsaati"];
    $anneadi = $_POST["anneadi"];
    $fal_yid = $_POST["fal_yid"];
    $fal_kredi = $_POST["fal_kredi"];
    $fal_tarih = date('d.m.Y');
    if($uye_bilgi_getir["uye_kredi"] < $fal_kredi){
      echo '<script>window.location.href = "../panel.php?yf=kd";</script>';
    }else {
    if ($partneradi) {
      $ekle = mysqli_query($db, "INSERT INTO yildiznamefali (uyeid,yid,dtarih,dsaati,dyeri,anneadi,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda)
      VALUES('$ekleuyeidn','$fal_yid','$dtarih','$dsaati','$dyeri','$anneadi','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','$partneradi','$partnerburcu','$partneranneadi','$partnerhakkinda')");
      if ($ekle) {
        $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
        echo '<script>window.location.href = "../panel.php?yf=ok";</script>';
      }
    }else{
      $ekle1 = mysqli_query($db, "INSERT INTO yildiznamefali (uyeid,yid,dtarih,dsaati,dyeri,anneadi,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda)
      VALUES('$ekleuyeidn','$fal_yid','$dtarih','$dsaati','$dyeri','$anneadi','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','-','-','-','-')");
      if ($ekle1) {
        $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
        echo '<script>window.location.href = "../panel.php?yf=ok";</script>';
      }
    }
	}
	}
  else if ( isset($_POST['sufali']) ){ // su falı işlemleri //


    $partneradi = $_POST["partneradi"];
    $partnerburcu = $_POST["partnerburcu"];
    $partneranneadi = $_POST["partneranneadi"];
    $partnerhakkinda = $_POST["partnerhakkinda"];
    $fal_soru = $_POST["fal_soru"];
    $fal_adi = $_POST["fal_adi"];
    $fal_meslek = $_POST["fal_meslek"];
    $fal_cinsiyet = $_POST["fal_cinsiyet"];
    $fal_iliski = $_POST["fal_iliski"];
    $fal_ysekli = $_POST["fal_ysekli"];
    $fal_havuz = $_POST["fal_havuz"];
    $dtarih = $_POST["dtarih"];
    $dyeri = $_POST["dyeri"];
    $dsaati = $_POST["dsaati"];
    $anneadi = $_POST["anneadi"];
    $fal_yid = $_POST["fal_yid"];
    $fal_kredi = $_POST["fal_kredi"];
    $fal_tarih = date('d.m.Y');
    if($uye_bilgi_getir["uye_kredi"] < $fal_kredi){
      echo '<script>window.location.href = "../panel.php?sf=kd";</script>';
    }else {
    if ($partneradi) {
      $ekle = mysqli_query($db, "INSERT INTO sufali (uyeid,yid,dtarih,dsaati,dyeri,anneadi,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda)
      VALUES('$ekleuyeidn','$fal_yid','$dtarih','$dsaati','$dyeri','$anneadi','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','$partneradi','$partnerburcu','$partneranneadi','$partnerhakkinda')");
      if ($ekle) {
        $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
        echo '<script>window.location.href = "../panel.php?sf=ok";</script>';
      }
    }else{
      $ekle1 = mysqli_query($db, "INSERT INTO sufali (uyeid,yid,dtarih,dsaati,dyeri,anneadi,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda)
      VALUES('$ekleuyeidn','$fal_yid','$dtarih','$dsaati','$dyeri','$anneadi','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','-','-','-','-')");
      if ($ekle1) {
        $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
        echo '<script>window.location.href = "../panel.php?sf=ok";</script>';
      }
    }
    }

  }
  else if ( isset($_POST['tarotfali']) ){ // tarot falı işlemleri //
    $partneradi = $_POST["partneradi"];
    $partnerburcu = $_POST["partnerburcu"];
    $partneranneadi = $_POST["partneranneadi"];
    $partnerhakkinda = $_POST["partnerhakkinda"];
    $fal_soru = $_POST["fal_soru"];
    $fal_adi = $_POST["fal_ad"];
    $fal_meslek = $_POST["fal_meslek"];
    $fal_cinsiyet = $_POST["fal_cinsiyet"];
    $fal_iliski = $_POST["fal_iliski"];
    $fal_ysekli = $_POST["fal_ysekli"];
    $fal_havuz = $_POST["fal_havuz"];
    $fal_yid = $_POST["fal_yid"];
    $fal_kredi = $_POST["fal_kredi"];
    $fal_tarih = date('d.m.Y');
    $kart = $_POST['kart'];
    $secilenkartlar= implode(",", $kart);
    if($uye_bilgi_getir["uye_kredi"] < $fal_kredi){
      echo '<script>window.location.href = "../panel.php?tf=kd";</script>';
    }else {

      if ($partneradi) {
        $ekle = mysqli_query($db, "INSERT INTO tarotfali (uyeid,yid,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda,secilenkartlar)
        VALUES('$ekleuyeidn','$fal_yid','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','$partneradi','$partnerburcu','$partneranneadi','$partnerhakkinda','$secilenkartlar')");
        if ($ekle) {
          $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
          echo '<script>window.location.href = "../panel.php?tf=ok";</script>';
        }
      }else{
        $ekle1 = mysqli_query($db, "INSERT INTO tarotfali (uyeid,yid,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda,secilenkartlar)
        VALUES('$ekleuyeidn','$fal_yid','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','-','-','-','-','$secilenkartlar')");
        if ($ekle1) {
          $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
          echo '<script>window.location.href = "../panel.php?tf=ok";</script>';
        }
      }

  }
  }
  else if ( isset($_POST['katinafali']) ){ // Katina falı işlemleri //

    $partneradi = $_POST["partneradi"];
    $partnerburcu = $_POST["partnerburcu"];
    $partneranneadi = $_POST["partneranneadi"];
    $partnerhakkinda = $_POST["partnerhakkinda"];
    $fal_soru = $_POST["fal_soru"];
    $fal_adi = $_POST["fal_ad"];
    $fal_meslek = $_POST["fal_meslek"];
    $fal_cinsiyet = $_POST["fal_cinsiyet"];
    $fal_iliski = $_POST["fal_iliski"];
    $fal_ysekli = $_POST["fal_ysekli"];
    $fal_havuz = $_POST["fal_havuz"];
    $fal_yid = $_POST["fal_yid"];
    $fal_kredi = $_POST["fal_kredi"];
    $fal_tarih = date('d.m.Y');
    $kart = $_POST['kart'];
    $secilenkartlar= implode(",", $kart);
    if($uye_bilgi_getir["uye_kredi"] < $fal_kredi){
      echo '<script>window.location.href = "../panel.php?ktf=kd";</script>';
    }else {
        $ekle = mysqli_query($db, "INSERT INTO katinafali (uyeid,yid,soru,adi,meslek,cinsiyet,iliski,ysekli,havuz,fal_kredi,fal_tarih,partneradi,partnerburcu,partneranneadi,partnerhakkinda,secilenkartlar)
        VALUES('$ekleuyeidn','$fal_yid','$fal_soru','$fal_adi','$fal_meslek','$fal_cinsiyet','$fal_iliski','$fal_ysekli','$fal_havuz','$fal_kredi','$fal_tarih','$partneradi','$partnerburcu','$partneranneadi','$partnerhakkinda','$secilenkartlar')");
        if ($ekle) {
          $yfkd = mysqli_query($db, "UPDATE uyeler SET  uye_kredi = uye_kredi - '$fal_kredi' WHERE id = '$ekleuyeidn'");
          echo '<script>window.location.href = "../panel.php?ktf=ok";</script>';
}}}
 ?>
